# Generated by Django 5.0 on 2023-12-22 15:08

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('products', '0002_subcategory'),
    ]

    operations = [
        migrations.CreateModel(
            name='SaleExpirationType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expiration_type_name', models.CharField(choices=[('TIME', 'Until Time Period'), ('BOTH', 'While Supplies Last or Until Time Period'), ('SUPPLIES', 'While Supplies Last')], max_length=50)),
                ('expiration_time_period', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Sale',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sale_type', models.CharField(choices=[('PERCENTAGE', 'Percent Discount'), ('AMOUNT', 'Amount Discount'), ('BUY2GET3', 'Buy 2 Get 3')], max_length=50)),
                ('discount_amount', models.IntegerField(blank=True, null=True)),
                ('discount_percent', models.IntegerField(blank=True, null=True)),
                ('is_running', models.BooleanField(default=False)),
                ('expiration_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sale_expiration', to='products.saleexpirationtype')),
            ],
        ),
    ]
